# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

MY_PN="osgQt"
inherit cmake

DESCRIPTION="Qt support for OpenSceneGraph"
HOMEPAGE="http://www.openscenegraph.org/"

if [[ "${PV}" == *9999* ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://github.com/openscenegraph/${MY_PN}.git"
	S="${WORKDIR}/${PN}-${PV}"
else
	MY_P=${MY_PN}-${PV}
	SRC_URI="https://github.com/openscenegraph/${MY_PN}/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
	KEYWORDS="amd64 ~ppc64 x86"
	S="${WORKDIR}/${PN}-${MY_PV}"
fi


LICENSE="wxWinLL-3 LGPL-2.1"
SLOT="0/145" # NOTE: CHECK WHEN BUMPING! Subslot is SOVERSION
IUSE="examples"

RDEPEND="
	>=dev-games/openscenegraph-3.6.3:=
	dev-qt/qtcore:5
	dev-qt/qtgui:5
	dev-qt/qtopengl:5
	dev-qt/qtwidgets:5
"
DEPEND="${RDEPEND}"
BDEPEND="
	virtual/pkgconfig
"

PATCHES=(
# 	THESE PATCHES DON'T WORK FOR SOME REASON... HOPEFULLY NOTHING LOST BY OMITTING THEM? -bronze
#	"${FILESDIR}"/${PN}-3.5.5-cmake.patch
#	"${FILESDIR}"/${PN}-3.5.5-qt-5.11b3.patch
)

src_configure() {
	local mycmakeargs=(
		-DDYNAMIC_OPENSCENEGRAPH=ON
		-DDESIRED_QT_VERSION=5
		-DBUILD_OSG_EXAMPLES=$(usex examples)
		-DCMAKE_DISABLE_USE_FIND_PACKAGE_Qt5WebKitWidgets=ON
	)
	cmake_src_configure
}
